/**********************************************************************
 
	Copyright (C) 2003-2004
	Hirohisa MORI <joshua@nichibun.ac.jp>
	Tomoki SEKIYAMA <sekiyama@yahoo.co.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include <stdlib.h>
#include <string.h>

#include "v/VgbGPSBrowser.h"
#include "v/vobj_utils.h"

extern "C" {
#include 	"xl.h"
#include	"xlerror.h"

XL_SEXP *
vobj_VgbGPSBrowser(XLISP_ENV *env, XL_SEXP *arg, XLISP_ENV *a, XL_SYM_FIELD *sf);

XL_SEXP *
vobj_VgbGPSBrowser(XLISP_ENV *env, XL_SEXP *arg, XLISP_ENV *a, XL_SYM_FIELD *sf)
{
VObjectStatus _sts;
XL_SEXP * p;
VgbGPSBrowser *obj;

	p = get_refered_object<VgbGPSBrowser>(&obj,env,arg,sf,
			VO_GPSB,"VgbGPSBrowser",&_sts,0,0);
	if ( get_type(p) == XLT_ERROR )
		return p;
	if ( get_type(p) == XLT_INTEGER )
		return vobj_get_id_list(p->integer.data, 0, sf,0);
	return 0;
}

void
init_vobj_VgbGPSBrowser(XLISP_ENV *env)
{
	set_env(env,l_string(std_cm,"VgbGPSBrowser"),
		get_func_prim((XL_SEXP*(*)())vobj_VgbGPSBrowser,FO_NORMAL,0,1,1));
}


} // extern "C"
